sc::SCMatrixSubblockIter(3)

NAME
sc::SCMatrixSubblockIter - Objects of class SCMatrixSubblockIter are used to iterate through the blocks of a matrix.

SYNOPSIS

#include <block.h>

Inherits sc::RefCount.

Inherited by sc::SCMatrixCompositeSubblockIter, sc::SCMatrixJointSubblockIter, sc::SCMatrixListSubblockIter, sc::SCMatrixNullSubblockIter, and sc::SCMatrixSimpleSubblockIter.

  Public Types
enum Access { Read, Write, Accum, None }

  Public Member Functions
SCMatrixSubblockIter (Access access)
The access variable should be one of Read, Write, Accum, and None, with the SCMatrixSubblockIter:: scope operator applied.
virtual void begin ()=0
Start at the beginning.
virtual int ready ()=0
Returns nonzero if there is another block.
virtual void next ()=0
Proceed to the next block.
virtual SCMatrixBlock * block ()=0
Return the current block.
Access access () const
Return the type of Access allowed for these blocks.

  Protected Attributes
Access access_

Detailed Description

Objects of class SCMatrixSubblockIter are used to iterate through the blocks of a matrix. The object must be deleted before using the matrix that owns the blocks that SCMatrixSubblockIter is iterating through.

Constructor & Destructor Documentation

  sc::SCMatrixSubblockIter::SCMatrixSubblockIter (Access access) [inline]

The access variable should be one of Read, Write, Accum, and None, with the SCMatrixSubblockIter:: scope operator applied.

Author

Generated automatically by Doxygen for MPQC from the source code.